## org.eclipse.datatools.connectivity.oda.design
Interface ScalarValueChoices

public interface ScalarValueChoices

A collection of scalar values defined for user selection.

The following features are supported:

- `Scalar Values`

See Also:
  `DesignPackage.getScalarValueChoices()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getScalarValues()` Returns the value of the 'Scalar Values' containment reference list.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getScalarValues

    public EList getScalarValues()

  Returns the value of the 'Scalar Values' containment reference list. The list contents are of type `ScalarValueDefinition`.

  Returns:
    the value of the 'Scalar Values' containment reference list.
  See Also:
    `DesignPackage.getScalarValueChoices_ScalarValues()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.